
@mixin for-size($size) {
  @if $size==phone-only {
      @media (max-width: 600px) {
          @content;
      }
  }
  @else if $size==mobile-lanscape {
      @media (min-width: 480px) and (max-width: 736px) and (-webkit-device-pixel-ratio: 2)
      and (orientation: landscape) {
        @content;
      }
    }
  @else if $size==mobile-ios-lanscape {
    @media (min-width: 733px) and (max-width: 767px) and (-webkit-device-pixel-ratio: 2)
    and (orientation: landscape) {
      @content;
    }
  }
  @else if $size==tablet-portrait-up {
      @media (min-width: 601px) and (max-width: 768px) {
          @content;
      }
  }
  @else if $size==tablet-landscape-up {
      @media (min-width: 769px) and (max-width: 1024px) {
          @content;
      }
  }
  @else if $size==l1025-1279 {
      @media (min-width: 1025px) and (max-width: 1279px) {
          @content;
      }
  }
  @else if $size==l1280-1365 {
    @media (min-width: 1280px) and (max-width: 1365px) {
        @content;
    }
  }
  @else if $size==l1280-622 {
    @media (max-width: 1280px) and (max-height: 622px) {
        @content;
    }
  }
  @else if $size==l1280-800 {
    @media (max-width: 1280px) and (max-height: 800px) {
        @content;
    }
  }
  @else if $size==l1366-1439 {
    @media (min-width: 1366px) and (max-width: 1439px) {
        @content;
    }
  }
  @else if $size==l1440-1534 {
    @media (min-width: 1440px) and (max-width: 1534px) {
        @content;
    }
  }
  @else if $size==l1535-1559 {
    @media (min-width: 1535px) and (max-width: 1559px) {
        @content;
    }
  }
  @else if $size==d1600-1919 {
      @media (min-width: 1600px) and (max-width: 1919px){
          @content;
      }
  }
  @else if $size==big-desktop-up {
      @media (min-width: 1920px) {
          @content;
      }
  }
}


// @mixin for-size($size) {
//     @if $size==phone-only {
//         @media (max-width: 600px) {
//             @content;
//         }
//     }
//     @else if $size==mobile-lanscape {
//         @media (min-width: 480px) and (max-width: 732px) and (-webkit-device-pixel-ratio: 2)
//         and (orientation: landscape) {
//           @content;
//         }
//       }

//     @else if $size==tablet-portrait-up {
//         @media (min-width: 601px) and (max-width: 768px) {
//             @content;
//         }
//     }
//     @else if $size==tablet-landscape-up {
//         @media (min-width: 769px) and (max-width: 1024px) {
//             @content;
//         }
//     }
//     @else if $size==mini-laptop {
//         @media (min-width: 1024px) and (max-width: 1280px) {
//             @content;
//         }
//     }
//     @else if $size==desktop-up {
//         @media (min-width: 1280px) and (max-width: 1920px){
//             @content;
//         }
//     }
//     @else if $size==big-desktop-up {
//         @media (min-width: 1920px) {
//             @content;
//         }
//     }
// }
